package org.jeecg.modules.device.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.device.entity.BuDevice;
import org.jeecg.modules.device.model.DeviceSensorStatus;

import java.util.List;

/**
 * @Description: 设备信息表
 * @Author: jeecg-boot
 * @Date:   2020-12-11
 * @Version: V1.0
 */
public interface BuDeviceMapper extends BaseMapper<BuDevice> {

    public List<BuDevice> getDevice();

    public BuDevice getDeviceById(@Param("id") String id);

    public BuDevice getDeviceByName(@Param("deviceName") String deviceName);

    public BuDevice getDeviceByCode(@Param("deviceCode") String deviceCode);

    public BuDevice getDevicesensorid(@Param("sensorid") String sensorid);

    public List<BuDevice> getDeviceUse();
    public List<BuDevice> getDeviceUses();

    public List<DeviceSensorStatus> queryDeviceStatus();
    public List<DeviceSensorStatus> queryDevice();
    public List<DeviceSensorStatus> querySensorStatus();
    public List<DeviceSensorStatus> getDeviceTypeCount();

}
